<?php
/**
 * MC4WP: Mailchimp for WordPress.
 *
 * @package cheshalo
 */

if ( ! defined( 'MC4WP_VERSION' ) ) {
	return;
}

if ( ! function_exists( 'cheshalo_mc4wp_enqueue_scripts' ) ) {
	/**
	 * Fixes the conflict of options that overwrite the checkout template.
	 *
	 * @param bool $load_scripts .
	 *
	 * @return bool
	 */
	function cheshalo_mc4wp_enqueue_scripts( $load_scripts ) {
		cheshalo_enqueue_js_script( 'mailchimp' );

		return $load_scripts;
	}

	add_filter( 'mc4wp_load_form_scripts', 'cheshalo_mc4wp_enqueue_scripts', 9 );
}
