cheshaloThemeModule.$document.on('wdLoadDropdownsSuccess wdSearchFullScreenContentLoaded wdShopPageInit', function() {
	cheshaloThemeModule.elToggle();
});

cheshaloThemeModule.elToggle = function() {
	document.querySelectorAll('.wd-toggle').forEach( function (element) {
		if ( element.classList.contains('wd-inited') ) {
			return;
		}

		var content = element.querySelector('.wd-toggle-content');

		element.classList.add('wd-inited');

		element.querySelector('.wd-toggle-head').addEventListener('click', function () {
			if ( element.classList.contains('wd-opening') ) {
				return;
			}

			if (cheshaloThemeModule.$window.width() <= 767) {
				if (element.classList.contains('wd-state-static-sm')) {
					return;
				}

				if (element.classList.contains('wd-active-sm')) {
					element.classList.remove('wd-active-sm')
					cheshaloThemeModule.slideUp(content);
				} else {
					element.classList.add('wd-active-sm')
					cheshaloThemeModule.slideDown(content);
				}
			} else if (cheshaloThemeModule.$window.width() <= 1024) {
				if (element.classList.contains('wd-state-static-md-sm')) {
					return;
				}

				if (element.classList.contains('wd-active-md-sm')) {
					element.classList.remove('wd-active-md-sm')
					cheshaloThemeModule.slideUp(content);
				} else {
					element.classList.add('wd-active-md-sm')
					cheshaloThemeModule.slideDown(content);
				}
			} else {
				if (element.classList.contains('wd-state-static-lg')) {
					return;
				}

				if (element.classList.contains('wd-active-lg')) {
					element.classList.remove('wd-active-lg')
					cheshaloThemeModule.slideUp(content);
				} else {
					element.classList.add('wd-active-lg')
					cheshaloThemeModule.slideDown(content);
				}
			}

			element.classList.add('wd-opening');

			setTimeout(function() {
				element.classList.remove('wd-opening');
			}, 400);
		});
	});
};

window.addEventListener('load',function() {
	cheshaloThemeModule.elToggle();
});
