/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.$document.on('wdPortfolioLoadMoreLoaded', function () {
		cheshaloThemeModule.mfpPopup();
	});

	cheshaloThemeModule.mfpPopup = function() {
		if ('undefined' === typeof $.fn.magnificPopup) {
			return;
		}

		$('.gallery').magnificPopup({
			delegate       : 'a:not([data-elementor-open-lightbox]), a[data-elementor-open-lightbox=no]',
			type           : 'image',
			removalDelay   : 600,
			tClose         : cheshalo_settings.close,
			tLoading       : cheshalo_settings.loading,
			fixedContentPos: true,
			callbacks      : {
				beforeOpen: function() {
					this.wrap.addClass('wd-popup-slide-from-left');
				}
			},
			image       : {
				verticalFit: true,
				markup: '<div class="wd-popup mfp-figure">'+
					'<div class="mfp-close"></div>'+
					'<figure>'+
					'<div class="mfp-img"></div>'+
					'<figcaption>'+
					'<div class="mfp-bottom-bar">'+
					'<div class="mfp-title"></div>'+
					'<div class="mfp-counter"></div>'+
					'</div>'+
					'</figcaption>'+
					'</figure>'+
					'</div>'
			},
			gallery     : {
				enabled           : true,
				navigateByImgClick: true
			}
		});
	};

	$(document).ready(function() {
		cheshaloThemeModule.mfpPopup();
	});
})(jQuery);
